BOOTCTL(1)

BEZEICHNUNG
bootctl - Steuern der Firmware- und Systemstartverwaltereinstellungen

ÜBERSICHT

bootctl [OPTIONEN…] status

bootctl [OPTIONEN…] list

bootctl [OPTIONEN…] update

bootctl [OPTIONEN…] install

bootctl [OPTIONEN…] remove

BESCHREIBUNG

bootctl prüft, aktualisiert, installiert oder entfernt den Boot-Lader aus dem aktuellen System.

bootctl status prüft die aktuell installierte Version aller Boot-Lader-Programme und aller aktuellen EFI-Boot-Variablen und gibt diese aus.

bootctl list zeigt alle konfigurierten Boot-Lader-Einträge.

bootctl update aktualisiert alle installierten Versionen von Systemd-boot, falls die aktuelle Version neuer als die in der EFI-System-Partition installierte ist. Dies beinhaltet den EFI-Standard/Rückfall-Lader unter /EFI/BOOT/BOOT*.EFI. Falls es keinen aktuellen Eintrag gibt, wird ein Systemstarteintrag in den EFI-Boot-Variablen erstellt. Der erstellte Eintrag wird am Ende der Boot-Sortierliste hinzugefügt.

bootctl install installiert Systemd-boot in die EFI-Systempartition. Eine Kopie von Systemd-boot wird in dem EFI-Standard/Rückfall-Lader unter /EFI/BOOT/BOOT*.EFI gespeichert. Es wird ein Systemstarteintrag in den EFI-Boot-Variablen erstellt und am Anfang der Boot-Sortierliste hinzugefügt.

bootctl remove entfernt alle installierten Versionen von Systemd-boot aus der EFI-Systempartition und entfernt Systemd-boot aus den EFI-Boot-Variablen.

Falls kein Befehl übergeben wird, wird status angenommen.

OPTIONEN

Die folgenden Optionen werden verstanden:

-h, --help
    zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--path=
    Pfad zu der EFI-Systempartition (ESP). Falls nicht angegeben werden /efi, /boot und /boot/efi der Reihe nach geprüft. Es wird empfohlen, falls möglich den ESP unter /boot einzuhängen.

-p, --print-path
    Diese Option verändert das Verhalten von status. Es werden nur die Pfade zu der EFI-Systempartition (ESP) auf der Standardausgabe ausgegeben und das Programm beendet.

--no-variables
    Die EFI-Boot-Variablen nicht anfassen.

RÜCKGABEWERT

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

Boot-Lader-Spezifikation[1] Systemd-Boot-Laderschnittstelle[2]

ANMERKUNGEN

1.  Boot-Lader-Spezifikation
    https://www.freedesktop.org/wiki/Specifications/BootLoaderSpec

2.  Systemd-Boot-Laderschnittstelle
    https://www.freedesktop.org/wiki/Software/systemd/BootLoaderInterface

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.